import Command from '@oclif/command';
import { Input as InputF } from '@oclif/command/lib/flags';
import { INestApplicationContext } from '@nestjs/common';
import { CmdContext } from './cmd.dtos';
export declare abstract class BaseCommand extends Command {
    static flags: InputF<any>;
    protected app: INestApplicationContext;
    static cmdContext: CmdContext;
    private static bootstrapOptions;
    static register(bootstrapOptions: BootstrapOptions): void;
    init(): Promise<void>;
    run(): Promise<void>;
    finally(): Promise<void>;
}
export declare class BootstrapOptions {
    nestModule: any;
    singleCommand?: typeof BaseCommand;
    enableShutdownHooks?: boolean;
}
